<?php // $Id: page.tpl.php,v 1.1 2008/11/03 17:20:17 manuelgarcia Exp $  ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php print $head_title ?></title>
  <meta http-equiv="content-language" content="<?php print $language->language ?>" />
  <?php print $head ?>
  <?php print $styles ?>
  <?php print $scripts ?>
</head>
<body class="layout-<?php print $body_classes ?>">
<div id="wrap">
  <div id="top">
    <?php if ($secondary_links) : ?>
      <div id="secondary-links">
        <?php print theme('links', $secondary_links, array('class' => 'links secondary-links')) ?>
      </div>
      <div class="clear"></div>
    <?php endif ?>
  </div>

  <?php if ($primary_links): ?>
    <div id="menu">
      <?php print theme('links', $primary_links, array('class' => 'links primary-links')) ?>
    </div>
  <?php endif ?>

  <div id="header">
    <?php if ($search_box): ?>
      <?php print $search_box ?>
    <?php endif ?>
    
    <?php if ($logo): ?>
      <div class="logo">
        <a id="logo" href="<?php print url(); ?>">
          <img src="<?php print $logo ?>" alt="<?php print t('Home') ?>" />
        </a>
      </div>
    <?php endif ?>
        
    <?php if ( $site_slogan || $site_name) : ?>
      <div class="site-info">
        <?php if ($site_name): ?>
          <div class="site-name">
            <h1> 
              <a href="<?php print url(); ?>">
                <?php print $site_name ?>
              </a>
            </h1>
          </div>
        <?php endif ?>

        <?php if ($site_slogan): ?>
          <div class="slogan">
            <h2><?php print $site_slogan ?></h2>
          </div>
        <?php endif ?>
      </div>
    <?php endif ?>
    <div class="clear"></div>
  </div>  <!-- END div#header -->
  
  <div id="content">
     <?php if ($content_top): ?>
      <div id="content-top">
        <div id="content-top-inner">
          <?php print $content_top ?>
          <div class="clear"></div>
        </div>
      </div><!-- END div#content-top -->
    <?php endif ?>
    
    <?php print $breadcrumb ?>
    
    <div id="left"> <!-- main content -->
      <?php print $messages ?>
      <?php if ($tabs): ?>
        <div class="tabs"><?php print $tabs ?></div>
      <?php endif ?>

      <?php if ($title): ?>
        <h1 class="page-title"><?php print $title ?></h1>
      <?php endif ?>

      <?php print $help ?>
      <?php print $content ?>
      <?php print $feed_icons ?>
    </div>

    <?php if ($right): ?> <!-- right sidebar region -->
      <div id="right" class="sidebar"> 
       <?php print $right ?>
      </div>
    <?php endif ?>
    <div class="clear"></div>
  </div><!-- END div#content -->

  <div id="footer">
    <?php if ($footer): ?> <!-- footer region -->
      <?php print $footer ?> 
      <div class="clear"></div>
    <?php endif ?>
  </div>

  
  <div id="bottom">
    <?php if ($footer_message): ?>
      <div id="footer-message"><?php print $footer_message ?></div>
    <?php endif ?>
  </div>
</div>

<?php print $closure ?>
</body>
</html>
